hpp-corbaserver: _objref_PathValidations Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Friends | List of all members
_objref_PathValidations Class Reference

`#include <hpp/core_idl/path_validations-idl.hh>`

Inheritance diagram for _objref_PathValidations:
[legend]
Collaboration diagram for _objref_PathValidations:
[legend]

## Public Member Functions
void | setSecurityMargins (const ::hpp::floatSeqSeq &margins)
void | setSecurityMarginBetweenBodies (const char *body_a, const char *body_b, ::hpp::value_type margin)
void | filterCollisionPairs (const ::hpp::core_idl::RelativeMotionMatrix &relMotion)
| _objref_PathValidations ()
| _objref_PathValidations (omniIOR *, omniIdentity *)
Public Member Functions inherited from _objref_PathValidation
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
::CORBA::Boolean | validate (::hpp::core_idl::Path_ptr p, ::CORBA::Boolean reverse, ::hpp::core_idl::Path_out validPart, ::hpp::core_idl::PathValidationReport_out report)
::CORBA::Boolean | validateConfiguration (const ::hpp::floatSeq &config, ::hpp::core_idl::ValidationReport_out report)
| _objref_PathValidation ()
| _objref_PathValidation (omniIOR *, omniIdentity *)

## Protected Member Functions
virtual | ~_objref_PathValidations ()
Protected Member Functions inherited from _objref_PathValidation
virtual | ~_objref_PathValidation ()

## Friends
class | PathValidations

## Constructor & Destructor Documentation

## ◆ _objref_PathValidations() [1/2]

_objref_PathValidations::_objref_PathValidations | ( |  | ) |
| inline

## ◆ _objref_PathValidations() [2/2]

_objref_PathValidations::_objref_PathValidations | ( | omniIOR * | ,
|  | omniIdentity * |
| ) |  |

## ◆ ~_objref_PathValidations()

virtual _objref_PathValidations::~_objref_PathValidations | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ filterCollisionPairs()

void _objref_PathValidations::filterCollisionPairs | ( | const ::hpp::core_idl::RelativeMotionMatrix & | relMotion | ) |

## ◆ setSecurityMarginBetweenBodies()

void _objref_PathValidations::setSecurityMarginBetweenBodies | ( | const char * | body_a,
|  | const char * | body_b,
|  | ::hpp::value_type | margin
| ) |  |

## ◆ setSecurityMargins()

void _objref_PathValidations::setSecurityMargins | ( | const ::hpp::floatSeqSeq & | margins | ) |

## Friends And Related Symbol Documentation

## ◆ PathValidations

friend class PathValidations
| friend

The documentation for this class was generated from the following file:

- src/hpp/core_idl/path_validations-idl.hh